package gov.anl.dm.esafsync.serviceconn;

import java.util.HashMap;
import java.util.Map;

public class DaqServiceConnection extends ServiceConnection{

	class Keyword {
		static final String DAQ_EXPERIMENT_NAME = "experimentName";
		static final String DAQ_DATA_DIRECTORY = "dataDirectory";
	}
	
	private final String url;

	public DaqServiceConnection(String url) {
		this.url = url;
	}
	
    public final int init() {
		return super.init(url);
	}

	public void startDaq(String experimentName, String directory) {
    	Map<String, String> data = new HashMap<>();
    	data.put(Keyword.DAQ_EXPERIMENT_NAME, experimentName);
    	data.put(Keyword.DAQ_DATA_DIRECTORY, directory);
		invokeSessionPostRequest(StorageServUrl.EXPERIMENT, data);    	
    }
    
}
